Vundle/Bundle - Plugin para o Vim

Publicado por Jonathan Wolff Andrade em 05/07/2013

[ Hits: 7.979 ]

Blog: http://wolffwebmaster.com.br

 


Vundle/Bundle - Plugin para o Vim



Fala, galera GNU!

O plugin para o Vim, Vundle (ou Bundle), é um complemento muito útil para quem gosta do terminal, principalmente quem gosta de Shell Script. É um projeto em andamento, que pode ser muito útil.

Requisitos

1. Git instalado:
Na maioria dos casos, o comando abaixo resolve:

# apt-get install git

2. Vim instalado.

Provavelmente já está, confira com:

dpkg -l | grep vim

3. Ser familiarizado com o terminal.

Motivos:
  • O Vundle busca ser o mais KISS possível.
  • O Vundle foi desenvolvido e testado com Vim 7.3 em MacOS X, GNU/Linux e Windows.
  • Melhorar o tratamento de erros
  • Vários outros, experimente.

Instalação

Com o Git já instalado, baixe seu Vundle:

git clone https://github.com/gmarik/vundle.git ~/.vim/bundle/vundle

Com o Vim instalado. Crie o arquivo de configuração vundle na seu "/home".

cd ~
$ vim .vimrc


Insira (tecle i) o conteúdo abaixo:

set nocompatible    " be iMproved
filetype off              " required!

set rtp+=~/.vim/bundle/vundle/
call vundle#rc()

" let Vundle manage Vundle
" required!

Bundle 'gmarik/vundle'

" My Bundles here:
"
" original repos on github

Bundle 'tpope/vim-fugitive'
Bundle 'Lokaltog/vim-easymotion'
Bundle 'rstacruz/sparkup', {'rtp': 'vim/'}
Bundle 'tpope/vim-rails.git'
" vim-scripts repos
Bundle 'L9'
Bundle 'FuzzyFinder'
" non github repos
Bundle 'git://git.wincent.com/command-t.git'
" git repos on your local machine (ie. when working on your own plugin)
Bundle 'file:///Users/gmarik/path/to/plugin'
" ...

filetype plugin indent on   " required!
"
" Brief help
" :BundleList           - list configured bundles
" :BundleInstall(!)   - install(update) bundles
" :BundleSearch(!) foo - search(or refresh cache first) for foo
" :BundleClean(!)    - confirm(or auto-approve) removal of unused bundles
"
" see :h vundle for more details or wiki for FAQ
" NOTE: comments after Bundle command are not allowed..


Feche e salve (:wq!) este arquivo.

Instale o Vundle/Bundle da seguinte forma:

vim

Tecle Esc (modo de visualização dentro da tela inicial do Vim), e execute o comando abaixo:

:BundleInstall

Ou para quem é CLI, instalar assim:

vim +BundleInstall +qall

Aguarde completar a instalação e "deu boa!"

Quem quiser, pode conferir este vídeo em inglês, que mostra um pouco da utilização do mesmo:

Valeu.

Outras dicas deste autor

Counter-Strike 1.6 no GNU/Linux via Wine

Shell script - Gerenciador de processos

Leitura recomendada

Screenshot usando o terminal

Limpando a fila do queue

Backup do Nagios

Limpando o .recycle do Samba

Sockets em shell script

  

Comentários
[1] Comentário enviado por infoslack em 05/07/2013 - 10:17h

Muito bom, já uso o bundle é ótimo pra gerenciar os plugins gosto de separar a instalação usando git submodules.



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts